<?php
namespace Teknisa\FAI\Modules\Parametros\Controllers;

use Zeedhi\Framework\DTO;

class Fai00500ParametroFaturamentoDeServicos extends \Teknisa\GER\Controllers\TeknisaCrud {
    protected $dataSourceName = 'fai00500_servico_kanban';
    protected $parameterBagColumns = array('CDFILIAL');
    protected $connection;
    
    public function __construct($crudService, $parameterBag, $connection) {
        parent::__construct($crudService, $parameterBag);
        $this->connection = $connection;
    }
    
    public function saveChanges(DTO\Request\DataSet $request, DTO\Response $response){
        $rows = $request->getDataSet()->getRows();
        
        foreach($rows as $row){
            try{
                $sql = "UPDATE SERVICO SET
        					IDFATUSERV = :P_IDFATUSERV WHERE CDSERVFILI = :P_CDSERVFILI AND CDFILIAL = :P_CDFILIAL";
            
        		$params = array(
        			"P_IDFATUSERV" => $row['IDFATUSERV'],
        			"P_CDSERVFILI" => $row['CDSERVFILI'],
        			"P_CDFILIAL"   => $row['CDFILIAL']
        		);
        		
        		$query = $this->connection->prepare($sql);
        		$query->execute($params);
                
                //var_dump($query);
                
            } catch (\Exception $e) {
                
                $response->setError(new Error($e->getMessage(), 500));
            }
        }
    }
}