<?php
namespace Teknisa\FAI\Modules\Tabelas\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;

class CentroDeCusto extends \Teknisa\GER\Controllers\TeknisaCrud{
    
    protected $crudService;
    protected $parameterBag;
    protected $util;
    protected $dataSourceManager;

	public function __construct($crudService, $parameterBag, $util, $dataSourceManager) {
        $this->crudService = $crudService;
        $this->parameterBag = $parameterBag;
        $this->util = $util;
        $this->dataSourceManager = $dataSourceManager;
    }
    
    public function save(DTO\Request $request, DTO\Response $response) {
        try {
            $this->dataSourceName = "ccuscliefilial";
            $row = $request->getDataSet()->getRows()[0];
            
            if ($row["__is_new"]) {
                $this->util->validateDuplicatedRecords($row, $this->dataSourceName, array("CDFILIAL", "CDCLIENTE", "CDCCUSCLIEFILIAL"));
            }

            parent::save($request, $response);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
}